Change log for httpie package in Ubuntu

19 of 9 results
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-05-02
Deleted in artful-proposed (Reason: moved to release)
httpie (0.9.8-2) unstable; urgency=low

  * Switched to python3 (Closes: #830305, #869221)

 -- Bartosz Fenski <email address hidden>  Tue, 02 May 2017 12:49:27 +0200

Available diffs

Superseded in artful-release on 2017-05-02
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
httpie (0.9.8-1) unstable; urgency=low

  * The Akamai Technologies paid volunteer days release.
  * New upstream version.
  * Includes updated manpage thanks to Gaetano Guerriero. (Closes: #815881)

 -- Bartosz Fenski <email address hidden>  Fri, 30 Dec 2016 15:39:37 +0100

Available diffs

Superseded in zesty-release on 2016-12-31
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-12-15
Deleted in xenial-proposed (Reason: moved to release)
httpie (0.9.2-1) unstable; urgency=low

  * ACK previous NMU, thanks a lot Vincent!
  * Bumped required python-requests version (Closes: #802540)

 -- Bartosz Fenski <email address hidden>  Mon, 14 Dec 2015 15:39:37 +0100

Available diffs

Superseded in xenial-release on 2015-12-15
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
httpie (0.9.2-0.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's authorization.
  * New upstream release. Closes: #785616.
     + This new release supports SNI. Closes: #751568.
     + Remove https symlink. This feature is not supported anymore.
     + Add build dependency to dh-python.
     + Disable tests for now, they need pytest-httpbin.
     + Remove build dependency to tox (unused).
     + Force "pybuild" build system for debhelper (instead of makefile).
     + Update debian/copyright.
  * Switch httpie package to "Architecture: all", as it is pure
    Python. Closes: #750179.
  * Update debian/watch.
  * Bump Standards-Version to 3.9.6.
  * Add https(1) manual page as an alias to http(1).

 -- Vincent Bernat <email address hidden>  Thu, 28 May 2015 20:30:17 +0200

Available diffs

Superseded in wily-release on 2015-05-29
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2014-02-06
Deleted in trusty-proposed (Reason: moved to release)
httpie (0.8.0-1) unstable; urgency=low


  * New upstream release.
  * ACK previous NMU - thanks Vincent!
  * Bumped Standards-Version (no changes needed).
  * Obsolete options has been removed from manpage (Closes: #700214).
  * Provides symlink https -> http (Closes: #737642)

 -- Bartosz Fenski <email address hidden>  Tue, 04 Feb 2014 18:05:59 +0100

Available diffs

Superseded in trusty-release on 2014-02-06
Deleted in trusty-proposed on 2014-02-08 (Reason: moved to release)
httpie (0.7.1-0.1) unstable; urgency=low


  * Non-maintainer upload to fix RC bug.
  * New upstream release.
     + Work with python-requests >= 1.0. Closes: #707994.
  * Drop Vcs-* lines in debian/control. This is not the VCS for Debian
    packaging.

 -- Vincent Bernat <email address hidden>  Sat, 23 Nov 2013 20:36:26 +0100

Available diffs

Superseded in trusty-release on 2013-11-24
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
httpie (0.3.1-1) unstable; urgency=low


  * The Akamai Technologies paid volunteer days release.
  * Includes manual page (Closes: #673067) 
    Courtesy of Khalid El Fathi <email address hidden>. Thanks!
  * New upstream version. (Closes: #693810)
    - handles binary transfers properly (Closes: #689974)

 -- Bartosz Fenski <email address hidden>  Thu, 20 Dec 2012 14:27:59 +0100

Available diffs

Superseded in raring-release on 2012-12-21
Obsolete in quantal-release on 2015-04-24
httpie (0.1.6+20120309git-2.1) unstable; urgency=low


  [ Evgeni Golov ]
  * Non-maintainer upload.
  * Add python-pkg-resources to Depends
    Closes: #681316
  * Add explicit Depends on python-requests (>= 0.10.4), not only
    Build-Depends.
    Closes: #663506
  * Add *.egg-info to debian/clean, to fix FTBFS twice in a row.
    Closes: #682076

  [ Scott Kitterman ]
  * Dropped unneeded revision from python-requests depends

 -- Scott Kitterman <email address hidden>  Thu, 26 Jul 2012 13:37:28 -0400
Superseded in quantal-release on 2012-07-28
httpie (0.1.6+20120309git-2) unstable; urgency=low


  * Depends on exact version of python-requests (Closes: #663506) 

 -- Bartosz Fenski <email address hidden>  Sat, 24 Mar 2012 17:43:02 +0100
19 of 9 results